
export default class CustomError extends Error {
  code: string | undefined;
  constructor(opt: { message?: string; name?: string; code?: string } = {}) {
    super(opt?.message);
    this.name = opt?.name ?? "Error";
    this.code = opt?.code ?? "UNKNOWN";
  }
}
