import { createApp } from "vue";
import { createPinia } from 'pinia'
import router from "@/routes";
import App from "./App.vue";
import flexible from './utils/flexible';
import 'virtual:svg-icons-register'

import "tailwindcss/tailwind.css";
import "ant-design-vue/es/message/style/css";
import "@/assets/less/antd.theme.less";
import "@/assets/less/global.less";


flexible()
createApp(App).use(router).use(createPinia()).mount("#app");
